<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
switch ($do) {
////отправление заявки из анкеты
case 'zajav':
$u = $db -> query("SELECT `id` FROM `users` WHERE `id`='$id' and `id`<>'$ya[id]' LIMIT 1");
if ($u -> num_rows > 0) {
$ass = $u -> fetch_assoc();
$sql = $db -> query("SELECT * FROM `nuts` WHERE `idwh`='$id' and `user`='$ya[id]' and `where`='frends' LIMIT 1");
if ($sql -> num_rows == 0) {
$sql = $db -> query("SELECT * FROM `nuts` WHERE `user`='$id' and `idwh`='$ya[id]' and `where`='frends' LIMIT 1");
if ($sql -> num_rows == 0) {
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `idwh`='$id' and `user`='$ya[id]' and `where`='ignor'  LIMIT 1");
if ($sql2 -> num_rows == 0) {
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `user`='$id' and `idwh`='$ya[id]' and `where`='ignor'  LIMIT 1");
if ($sql2 -> num_rows == 0) {
$db -> query("INSERT INTO `mail` set `oid` = '2',`fid` = '$id',`read` = 'no',`title` = 'Уведомление',`text`='
$ya[login] предлогает вам дружбу,посмотреть список заявок можно в [url=http://$_SERVER[SERVER_NAME]/my/friends.php]списке друзей[/url]',`time`='".time()."'");
$db -> query("INSERT INTO `nuts` set `user` = '$ya[id]',`idwh` = '$id',`where` = 'frends',`time` = '0'");
header('location: ./friends.php?do=myjav');
} else header('location: ./id'.$id.'');
} else header('location: ./id'.$id.'');
} else header('location: ./id'.$id.'');
} else header('location: ./id'.$id.'');
} else header('location: ./id'.$id.'');
break;
////Принятие заявки в друзья
case 'pri':
$sql = $db -> query("SELECT * FROM `nuts` WHERE `id` = '".$id."' and `time`='0' and `where`='frends' and `idwh`='$ya[id]' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
$db -> query("INSERT INTO `nuts` set `user` = '$ya[id]',`idwh` = '$ass[user]',`where` = 'frends',`time` = '".time()."'");
$db -> query("INSERT INTO `mail` set `oid` = '2',`fid` = '$ass[user]',`read` = 'no',`title` = 'Уведомление',`text`='
$ya[login] принял вашу заявку в друзья',`time`='".time()."'");
$db -> query("UPDATE `nuts` SET `time` = '".time()."' WHERE `id` = '".$id."'");
header('location: ?');
} else header('location: ?');
break;
////Отказ в заявке в друзья
case 'otjav':
$sql = $db -> query("SELECT * FROM `nuts` WHERE `id` = '".$id."' and `time`='0' and `where`='frends' and `idwh`='$ya[id]' LIMIT 1");
if ($sql -> num_rows > 0) {
$ass = $sql -> fetch_assoc();
$db -> query("INSERT INTO `mail` set `oid` = '2',`fid` = '$ass[user]',`read` = 'no',`title` = 'Уведомление',`text`='
$ya[login] отклонил вашу заявку в друзья',`time`='".time()."'");
$db -> multi_query("DELETE FROM `nuts` WHERE `time` = '0' and `idwh`='$ya[id]'");
header('location: ?do=jav');
} else header('location: ?');
break;
////Удаление из друзей
case 'delfr':
$sql = $db -> query("SELECT * FROM `nuts` WHERE `id` = '".$id."' and `time`<>'0' and `where`='frends' and `idwh`='$ya[id]' LIMIT 1");
if ($sql -> num_rows > 0) {
$us = $sql -> fetch_assoc();
$db -> query("DELETE FROM `nuts` WHERE `idwh`='$us[user]' and `user`='$ya[id]'");
$db -> query("DELETE FROM `nuts` WHERE `id`='$id'");
header('location: ?');
} else header('location: ?');
break;
////Заявки в друзья
case 'jav':
$diz -> head('Заявки в друзья');
$msg.='<div class="fon">';
$count = $db -> dbcount('COUNT(`id`)','nuts',"`where`='frends' and `idwh`='$ya[id]' and `time`='0'");
$diz -> title('Список заявок (Всего: <b>'.$count.'</b>)');
if($count>0){
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$sql = $db -> query("SELECT * FROM `nuts` where `time`='0' and `idwh`='$ya[id]' and `where`='frends' ORDER BY `user` LIMIT ".$start.",".$num);
while ($users = $sql -> fetch_assoc()) {
$msg .= 'Заявка от '. $func -> user($users['user']).' <a href="?do=pri&id='.$users['id'].'">Принять</a> | <a href="?do=otjav&id='.$users['id'].'">Отклонить</a><br/>';
}
$act = 'friends.php?do=jav';
$msg .= $func -> pagenav($act,$page,$total);
}else{$msg.='Заявок в друзья к вам нет';}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
////Мои заявки в друзья
case 'myjav':
$diz -> head('Мои заявки в друзья');
$msg.='<div class="fon">';
$count = $db -> dbcount('COUNT(`id`)','nuts',"`where`='frends' and `user`='$ya[id]' and `time`='0'");
$diz -> title('Список заявок (Всего: <b>'.$count.'</b>)');
if($count>0){
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$sql = $db -> query("SELECT * FROM `nuts` where `time`='0' and `user`='$ya[id]' and `where`='frends' ORDER BY `idwh` LIMIT ".$start.",".$num);
while ($users = $sql -> fetch_assoc()) {
$msg .= 'Заявка для '. $func -> user($users['idwh']).'<br/>';
}
$act = 'friends.php?do=myjav';
$msg .= $func -> pagenav($act,$page,$total);
}else{$msg.='Ваших заявок в друзья не найдено';}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Список друзей');
$msg.='<div class="fon">';
$count = $db -> dbcount('COUNT(`id`)','nuts',"`where`='frends' and `idwh`='$ya[id]' and `time`<>'0'");
$diz -> title('Список друзей (Всего: <b>'.$count.'</b>)');
$myjav = $db -> dbcount('COUNT(`id`)','nuts',"`where`='frends' and `user`='$ya[id]' and `time`='0'");
$msg.='<a href="?do=myjav">Мои заявки в друзья</a> ('.$myjav.')<br/>';
$jav = $db -> dbcount('COUNT(`id`)','nuts',"`where`='frends' and `idwh`='$ya[id]' and `time`='0'");
$msg.='<a href="?do=jav">Заявки в друзья</a> ('.$jav.')<hr>';
if($count>0){
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
$sql = $db -> query("SELECT * FROM `nuts` where `time`<>'0' and `idwh`='$ya[id]' and `where`='frends'  ORDER BY `id` LIMIT ".$start.",".$num);
while ($users = $sql -> fetch_assoc()) {
$msg .= ''. $func -> user($users['user']).' | <a href="?do=delfr&id='.$users['id'].'">Удалить</a><br/>';
}
$act = 'friends.php?';
$msg .= $func -> pagenav($act,$page,$total);
}else{$msg.='У вас нет друзей';}
if (empty($_POST['login'])) {  
$msg .= '<hr><form action="?" method="post"><div>  
Ник/ID:<br/><input type="text" name="login" maxlength="40" title="Введите Ник/ID"/><br/>  
<input type="submit" value="Добавить в друзья" title="Добавить в друзья"/></div></form>';  
$msg.='</div>';
}else{
$lg = shit($_POST['login']);
$u = $db -> query("SELECT `id` FROM `users` WHERE `id`='$lg' and `id`<>'$ya[id]' or `login`='$lg' and `login`<>'$ya[login]' LIMIT 1");
if ($u -> num_rows > 0) {
$ass = $u -> fetch_assoc();
$sql = $db -> query("SELECT * FROM `nuts` WHERE `idwh`='$ass[id]' and `user`='$ya[id]' and `where`='frends' LIMIT 1");
if ($sql -> num_rows == 0) {
$sql = $db -> query("SELECT * FROM `nuts` WHERE `user`='$ass[id]' and `idwh`='$ya[id]' and `where`='frends' LIMIT 1");
if ($sql -> num_rows == 0) {
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `idwh`='$ass[id]' and `user`='$ya[id]' and `where`='ignor'  LIMIT 1");
if ($sql2 -> num_rows == 0) {
$sql2 = $db -> query("SELECT * FROM `nuts` WHERE `user`='$ass[id]' and `idwh`='$ya[id]' and `where`='ignor'  LIMIT 1");
if ($sql2 -> num_rows == 0) {
$db -> query("INSERT INTO `mail` set `oid` = '2',`fid` = '$ass[id]',`read` = 'no',`title` = 'Уведомление',`text`='
$ya[login] предлогает вам дружбу,посмотреть список заявок можно в [url=http://$_SERVER[SERVER_NAME]/my/friends.php]списке друзей[/url]',`time`='".time()."'");
$db -> query("INSERT INTO `nuts` set `user` = '$ya[id]',`idwh` = '$ass[id]',`where` = 'frends',`time` = '0'");
header('location: ?');
} else header('location: ?');
} else header('location: ?');
} else header('location: ?');
} else header('location: ?');
} else header('location: ?'); 
}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
?>